{"models":[{"endpoint_id":"fal-ai/ltx-2.3-22b/image-to-video","metadata":{"display_name":"LTX-2.3 22B","category":"image-to-video","description":"Generate video with audio from images using LTX-2.3","status":"active","tags":[],"updated_at":"2026-10-20T22:10:52.904Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/0a9289c9/kEEMVVpXrSdQAUe8zVqbg__tmp_b046-liqu-phoenix.jpg","model_url":"https://fal.run/fal-ai/ltx-2.3-22b/image-to-video","license_type":"commercial","date":"2026-03-14T01:53:40.952Z","group":{"key":"ltx-2.3-22b","label":"Image to Video"},"highlighted":false,"kind":"inference","pinned":false,"training_endpoint_ids":["fal-ai/ltx23-video-trainer"]},"retires_at":null,"replacement":null,"openapi":{"openapi":"3.1.0","info":{"title":"Queue OpenAPI for fal-ai/ltx-2.3-22b/image-to-video","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/ltx-2.3-22b/image-to-video queue.","x-fal-metadata":{"endpointId":"fal-ai/ltx-2.3-22b/image-to-video","category":"image-to-video","thumbnailUrl":"https://v3b.fal.media/files/b/0a9289c9/kEEMVVpXrSdQAUe8zVqbg__tmp_b046-liqu-phoenix.jpg","playgroundUrl":"https://fal.ai/models/fal-ai/ltx-2.3-22b/image-to-video","documentationUrl":"https://fal.ai/models/fal-ai/ltx-2.3-22b/image-to-video/api","about":"Generate a video from an image and text prompt."}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"Ltx2322bImageToVideoInput":{"required":["prompt","image_url"],"type":"object","x-fal-order-properties":["prompt","image_url","end_image_url","num_frames","video_size","generate_audio","use_multiscale","fps","num_inference_steps","video_cfg_scale","video_stg_scale","video_rescaling_scale","video_modality_scale","audio_cfg_scale","audio_stg_scale","audio_rescaling_scale","audio_modality_scale","gradient_estimation_gamma","use_restart_sampling","scheduler","acceleration","camera_lora","camera_lora_scale","negative_prompt","seed","enable_prompt_expansion","enable_safety_checker","video_output_type","video_quality","video_write_mode","sync_mode","distill_lora_first_pass_scale","distill_lora_second_pass_scale","interpolation_direction","image_strength","end_image_strength"],"title":"LTX23ImageToVideoInput","properties":{"num_frames":{"type":"integer","description":"The number of frames to generate.","default":121,"minimum":9,"title":"Number of Frames","maximum":481},"end_image_strength":{"type":"number","description":"The strength of the end image to use for the video generation.","default":1,"minimum":0,"title":"End Image Strength","maximum":1},"enable_prompt_expansion":{"type":"boolean","description":"Whether to enable prompt expansion.","default":true,"title":"Enable Prompt Expansion"},"audio_cfg_scale":{"type":"number","description":"The Classifier-Free Guidance (CFG) scale for the audio. Higher values result in more consistent and focused audio content.","default":7,"minimum":1,"title":"Audio CFG Scale","maximum":20},"enable_safety_checker":{"type":"boolean","description":"Whether to enable the safety checker.","default":true,"title":"Enable Safety Checker"},"image_url":{"type":"string","description":"The URL of the image to generate the video from.","examples":["https://storage.googleapis.com/falserverless/example_inputs/ltxv-2-i2v-input.jpg"],"title":"Image URL"},"end_image_url":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The URL of the image to use as the end of the video.","title":"End Image URL"},"video_modality_scale":{"type":"number","description":"The modality scale for the video. Controls the ratio between video and audio modalities.","default":3,"minimum":0,"title":"Video Modality Scale","maximum":10},"video_quality":{"type":"string","description":"The quality of the generated video.","default":"high","enum":["low","medium","high","maximum"],"title":"Video Quality"},"distill_lora_first_pass_scale":{"type":"number","description":"The scale of the distill LoRA to use for the first pass. Set to 0 to disable.","default":0.2,"minimum":0,"title":"Distill Lora First Pass Scale","maximum":1},"camera_lora_scale":{"type":"number","description":"The scale of the camera LoRA to use. This allows you to control the camera movement of the generated video more accurately than just prompting the model to move the camera.","default":1,"minimum":0,"title":"Camera LoRA Scale","maximum":1},"generate_audio":{"type":"boolean","description":"Whether to generate audio for the video.","default":true,"title":"Generate Audio"},"gradient_estimation_gamma":{"type":"number","description":"The gamma of gradient estimation during denoising. Set to 0 to disable.","default":2,"minimum":0,"title":"Gradient Estimation Gamma","maximum":10},"fps":{"type":"number","description":"The frames per second of the generated video.","default":24,"minimum":1,"title":"FPS","maximum":60},"video_rescaling_scale":{"type":"number","description":"The rescaling scale for the video. Controls the ratio between classifier-free guidance and spatiotemporal guidance.","default":0.7,"minimum":0,"title":"Video Rescaling Scale","maximum":1},"video_output_type":{"type":"string","description":"The output type of the generated video.","default":"X264 (.mp4)","enum":["X264 (.mp4)","VP9 (.webm)","PRORES4444 (.mov)","GIF (.gif)"],"title":"Video Output Type"},"image_strength":{"type":"number","description":"The strength of the image to use for the video generation.","default":1,"minimum":0,"title":"Image Strength","maximum":1},"seed":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"The seed for the random number generator.","title":"Seed"},"sync_mode":{"type":"boolean","description":"If `True`, the media will be returned as a data URI and the output data won't be available in the request history.","default":false,"title":"Sync Mode"},"num_inference_steps":{"type":"integer","description":"The number of inference steps to use.","default":40,"minimum":8,"title":"Number of Inference Steps","maximum":50},"acceleration":{"type":"string","description":"The acceleration level to use.","examples":["regular"],"default":"regular","enum":["none","regular","high","full"],"title":"Acceleration"},"negative_prompt":{"type":"string","description":"The negative prompt to generate the video from.","default":"news broadcast, 3d animation, computer graphics, pc game, console game, video game, cartoon, childish, watermark, logo, text, on screen text, subtitles, titles, signature, slowmo, static","title":"Negative Prompt"},"video_stg_scale":{"type":"number","description":"The Spatiotemporal Guidance (STG) scale for the video. Higher values result in more consistent and focused video content.","default":0,"minimum":0,"title":"Video STG Scale","maximum":20},"scheduler":{"type":"string","description":"The scheduler to use.","examples":["ltx2"],"default":"ltx2","enum":["ltx2","linear_quadratic","beta"],"title":"Scheduler"},"use_multiscale":{"type":"boolean","description":"Whether to use multi-scale generation. If True, the model will generate the video at a smaller scale first, then use the smaller video to guide the generation of a video at or above your requested size. This results in better coherence and details.","default":true,"title":"Use Multi-Scale"},"use_restart_sampling":{"type":"boolean","description":"Whether to use restart sampling. This will inject a small amount of noise during each denoising step, which can help improve the quality of the generated video.","default":false,"title":"Use Restart Sampling"},"distill_lora_second_pass_scale":{"type":"number","description":"The scale of the distill LoRA to use for the second and subsequent passes.","default":0.5,"minimum":0,"title":"Distill Lora Second Pass Scale","maximum":1},"video_write_mode":{"type":"string","description":"The write mode of the generated video.","default":"balanced","enum":["fast","balanced","small"],"title":"Video Write Mode"},"video_size":{"anyOf":[{"$ref":"#/components/schemas/ImageSize"},{"type":"string","enum":["auto","square_hd","square","portrait_4_3","portrait_16_9","landscape_4_3","landscape_16_9"]}],"description":"The size of the generated video.","default":"auto","title":"Video Size"},"prompt":{"type":"string","description":"The prompt used for the generation.","examples":["A woman stands still amid a busy neon-lit street at night. The camera slowly dollies in toward her face as people blur past, their motion emphasizing her calm presence. City lights flicker and reflections shift across her denim jacket."],"title":"Prompt"},"video_cfg_scale":{"type":"number","description":"The Classifier-Free Guidance (CFG) scale for the video. Higher values result in more consistent and focused video content.","default":3,"minimum":1,"title":"Video CFG Scale","maximum":20},"audio_stg_scale":{"type":"number","description":"The Spatiotemporal Guidance (STG) scale for the audio. Higher values result in more consistent and focused audio content.","default":0,"minimum":0,"title":"Audio STG Scale","maximum":20},"camera_lora":{"type":"string","description":"The camera LoRA to use. This allows you to control the camera movement of the generated video more accurately than just prompting the model to move the camera.","examples":["none"],"default":"none","enum":["dolly_in","dolly_out","dolly_left","dolly_right","jib_up","jib_down","static","none"],"title":"Camera LoRA"},"interpolation_direction":{"type":"string","description":"The direction to interpolate the image sequence in. 'Forward' goes from the start image to the end image, 'Backward' goes from the end image to the start image.","default":"forward","enum":["forward","backward"],"title":"Interpolation Direction"},"audio_modality_scale":{"type":"number","description":"The modality scale for the audio. Controls the ratio between video and audio modalities.","default":3,"minimum":0,"title":"Audio Modality Scale","maximum":10},"audio_rescaling_scale":{"type":"number","description":"The rescaling scale for the audio. Controls the ratio between classifier-free guidance and spatiotemporal guidance.","default":0.7,"minimum":0,"title":"Audio Rescaling Scale","maximum":1}}},"Ltx2322bImageToVideoOutput":{"required":["video","seed","prompt"],"type":"object","x-fal-order-properties":["video","seed","prompt"],"title":"LTX23ImageToVideoOutput","properties":{"seed":{"type":"integer","description":"The seed used for the random number generator.","examples":[866232447],"title":"Seed"},"prompt":{"type":"string","description":"The prompt used for the generation.","examples":["Continue the scene naturally, maintaining the same style and motion."],"title":"Prompt"},"video":{"$ref":"#/components/schemas/VideoFile","description":"The generated video.","examples":[{"content_type":"video/mp4","height":704,"num_frames":257,"file_name":"CJcQGDrxOSRg2YFl5GNDt_glXPMoji.mp4","fps":25,"duration":10.28,"width":1248,"url":"https://v3b.fal.media/files/b/0a88289e/CJcQGDrxOSRg2YFl5GNDt_glXPMoji.mp4"}]}}},"ImageSize":{"type":"object","x-fal-order-properties":["width","height"],"title":"ImageSize","properties":{"height":{"exclusiveMinimum":0,"type":"integer","description":"The height of the generated image.","default":512,"title":"Height","maximum":14142},"width":{"exclusiveMinimum":0,"type":"integer","description":"The width of the generated image.","default":512,"title":"Width","maximum":14142}}},"VideoFile":{"required":["url"],"type":"object","x-fal-order-properties":["url","content_type","file_name","file_size","width","height","fps","duration","num_frames"],"title":"VideoFile","properties":{"content_type":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The mime type of the file.","examples":["image/png"],"title":"Content Type"},"height":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"The height of the video","title":"Height"},"num_frames":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"The number of frames in the video","title":"Num Frames"},"file_name":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The name of the file. It will be auto-generated if not provided.","examples":["z9RV14K95DvU.png"],"title":"File Name"},"fps":{"anyOf":[{"type":"number"},{"type":"null"}],"description":"The FPS of the video","title":"Fps"},"duration":{"anyOf":[{"type":"number"},{"type":"null"}],"description":"The duration of the video","title":"Duration"},"width":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"The width of the video","title":"Width"},"file_size":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"The size of the file in bytes.","examples":[4404019],"title":"File Size"},"url":{"type":"string","description":"The URL where the file can be downloaded from.","title":"Url"}}}}},"paths":{"/fal-ai/ltx-2.3-22b/image-to-video/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/ltx-2.3-22b/image-to-video/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/ltx-2.3-22b/image-to-video":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Ltx2322bImageToVideoInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/ltx-2.3-22b/image-to-video/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Ltx2322bImageToVideoOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/pixverse/v5.5/transition","metadata":{"display_name":"PixVerse V5.5 Transition","category":"image-to-video","description":"Pixverse Transition","status":"active","tags":[],"updated_at":"2026-10-20T22:35:53.700Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/0a9f92ce/v6VCDoaON8GsXnLz4NRtA_W03Bhbsr.png","model_url":"https://fal.run/fal-ai/pixverse/v5.5/transition","license_type":"commercial","date":"2025-12-02T08:44:08.938Z","highlighted":false,"kind":"inference","pinned":false},"retires_at":null,"replacement":null,"openapi":{"openapi":"3.1.0","info":{"title":"Queue OpenAPI for fal-ai/pixverse/v5.5/transition","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/pixverse/v5.5/transition queue.","x-fal-metadata":{"endpointId":"fal-ai/pixverse/v5.5/transition","category":"image-to-video","thumbnailUrl":"https://v3b.fal.media/files/b/0a9f92ce/v6VCDoaON8GsXnLz4NRtA_W03Bhbsr.png","playgroundUrl":"https://fal.ai/models/fal-ai/pixverse/v5.5/transition","documentationUrl":"https://fal.ai/models/fal-ai/pixverse/v5.5/transition/api","about":"Create Transition V5 5"}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"PixverseV55TransitionInput":{"x-fal-order-properties":["prompt","aspect_ratio","resolution","duration","negative_prompt","style","seed","generate_audio_switch","thinking_type","first_image_url","end_image_url","enable_safety_checker"],"properties":{"duration":{"default":"5","description":"The duration of the generated video in seconds. Longer durations cost more. 1080p videos are limited to 5 or 8 seconds","type":"string","title":"Duration","enum":["5","8","10"]},"aspect_ratio":{"default":"16:9","description":"The aspect ratio of the generated video","type":"string","title":"Aspect Ratio","enum":["16:9","4:3","1:1","3:4","9:16"]},"enable_safety_checker":{"default":true,"type":"boolean","title":"Enable Safety Checker","description":"Authorized callers may set false to request relaxed screening."},"generate_audio_switch":{"default":false,"type":"boolean","title":"Generate Audio Switch","description":"Enable audio generation (BGM, SFX, dialogue)"},"resolution":{"default":"720p","description":"The resolution of the generated video","type":"string","title":"Resolution","enum":["360p","540p","720p","1080p"]},"end_image_url":{"examples":["https://v3.fal.media/files/kangaroo/RgedFs_WSnq5BgER7qDx1_ONrbTJ1YAGXz-9JnSsBoB_bdc8750387734bfe940319f469f7b0b2.jpg"],"type":"string","title":"End Image Url","description":"URL of the image to use as the last frame"},"style":{"title":"Style","anyOf":[{"type":"string","enum":["anime","3d_animation","clay","comic","cyberpunk"]},{"type":"null"}],"description":"The style of the generated video"},"negative_prompt":{"default":"","examples":["blurry, low quality, low resolution, pixelated, noisy, grainy, out of focus, poorly lit, poorly exposed, poorly composed, poorly framed, poorly cropped, poorly color corrected, poorly color graded"],"type":"string","title":"Negative Prompt","description":"Negative prompt to be used for the generation. Limited to 2048 UTF-8 encoded bytes. Because the limit counts bytes rather than characters, emoji and non-Latin or accented characters (which use multiple bytes each) can push a visually short prompt over the cap."},"thinking_type":{"title":"Thinking Type","anyOf":[{"type":"string","enum":["enabled","disabled","auto"]},{"type":"null"}],"description":"Prompt optimization mode: 'enabled' to optimize, 'disabled' to turn off, 'auto' for model decision"},"prompt":{"examples":["Scene slowly transition into cat swimming under water"],"type":"string","title":"Prompt","description":"The prompt for the transition. Limited to 2048 UTF-8 encoded bytes. Because the limit counts bytes rather than characters, emoji and non-Latin or accented characters (which use multiple bytes each) can push a visually short prompt over the cap."},"seed":{"title":"Seed","anyOf":[{"type":"integer"},{"type":"null"}],"description":"\n            The same seed and the same prompt given to the same version of the model\n            will output the same video every time.\n        "},"first_image_url":{"examples":["https://v3.fal.media/files/zebra/owQh2DAzk8UU7J02nr5RY_Co2P4boLv6meIZ5t9gKvL_8685da151df343ab8bf82165c928e2a5.jpg"],"type":"string","title":"First Image Url","description":"URL of the image to use as the first frame"}},"required":["prompt","first_image_url","end_image_url"],"title":"TransitionRequestV5_5","type":"object"},"PixverseV55TransitionOutput":{"x-fal-order-properties":["video"],"properties":{"video":{"examples":[{"content_type":"video/mp4","file_name":"output.mp4","file_size":3890360,"url":"https://storage.googleapis.com/falserverless/model_tests/video_models/output-2.mp4"}],"$ref":"#/components/schemas/File","description":"The generated video"}},"required":["video"],"title":"TransitionOutputV5_5","type":"object"},"File":{"x-fal-order-properties":["url","content_type","file_name","file_size"],"properties":{"content_type":{"examples":["image/png"],"title":"Content Type","anyOf":[{"type":"string"},{"type":"null"}],"description":"The mime type of the file."},"url":{"type":"string","title":"Url","description":"The URL where the file can be downloaded from."},"file_size":{"examples":[4404019],"title":"File Size","anyOf":[{"type":"integer"},{"type":"null"}],"description":"The size of the file in bytes."},"file_name":{"examples":["z9RV14K95DvU.png"],"title":"File Name","anyOf":[{"type":"string"},{"type":"null"}],"description":"The name of the file. It will be auto-generated if not provided."}},"required":["url"],"title":"File","type":"object"}}},"paths":{"/fal-ai/pixverse/v5.5/transition/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/pixverse/v5.5/transition/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/pixverse/v5.5/transition":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PixverseV55TransitionInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/pixverse/v5.5/transition/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PixverseV55TransitionOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/vidu/q1/image-to-video","metadata":{"display_name":"Vidu Image to Video","category":"image-to-video","description":"Vidu Q1 Image to Video generates high-quality 1080p videos with exceptional visual quality and motion diversity from a single image","status":"active","tags":["stylized","transform"],"updated_at":"2026-04-27T03:35:06.506Z","is_favorited":null,"thumbnail_url":"https://storage.googleapis.com/fal_cdn/fal/Upscale-1.jpeg","model_url":"https://fal.run/fal-ai/vidu/q1/image-to-video","license_type":"commercial","date":"2025-05-09T03:08:30.159Z","group":{"key":"vidu-q1","label":"Image to Video"},"highlighted":false,"kind":"inference","pinned":false},"retires_at":null,"replacement":null,"openapi":{"openapi":"3.1.0","info":{"title":"Queue OpenAPI for fal-ai/vidu/q1/image-to-video","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/vidu/q1/image-to-video queue.","x-fal-metadata":{"endpointId":"fal-ai/vidu/q1/image-to-video","category":"image-to-video","thumbnailUrl":"https://storage.googleapis.com/fal_cdn/fal/Upscale-1.jpeg","playgroundUrl":"https://fal.ai/models/fal-ai/vidu/q1/image-to-video","documentationUrl":"https://fal.ai/models/fal-ai/vidu/q1/image-to-video/api","about":"Vidu Q1 Image to Video API: Transform a single image into a dynamic video with motion using the Q1 model."}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"ViduQ1ImageToVideoInput":{"required":["prompt","image_url"],"type":"object","x-fal-order-properties":["enable_safety_checker","prompt","image_url","seed","movement_amplitude"],"properties":{"image_url":{"description":"URL of the image to use as the first frame","type":"string","title":"Image Url","examples":["https://storage.googleapis.com/falserverless/model_tests/video_models/vidu_i2v.jpg"]},"prompt":{"examples":["The astronaut waved and the camera moved up."],"type":"string","maxLength":1500,"description":"Text prompt for video generation, max 1500 characters","title":"Prompt"},"movement_amplitude":{"enum":["auto","small","medium","large"],"default":"auto","description":"The movement amplitude of objects in the frame","type":"string","title":"Movement Amplitude"},"enable_safety_checker":{"anyOf":[{"type":"boolean"},{"type":"null"}],"default":true,"description":"Enable safety checks; disabling requires authorization.","title":"Enable Safety Checker","hidden":true},"seed":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"Seed for the random number generator","title":"Seed"}},"title":"Q1ImageToVideoRequest"},"ViduQ1ImageToVideoOutput":{"required":["video"],"type":"object","x-fal-order-properties":["video"],"properties":{"video":{"$ref":"#/components/schemas/File","examples":[{"url":"https://storage.googleapis.com/falserverless/model_tests/video_models/vidu_i2v_output.mp4"}],"description":"The generated video using the Q1 model from a single image"}},"title":"Q1ImageToVideoOutput"},"File":{"required":["url"],"type":"object","x-fal-order-properties":["url","content_type","file_name","file_size"],"properties":{"file_name":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The name of the file. It will be auto-generated if not provided.","examples":["z9RV14K95DvU.png"],"title":"File Name"},"url":{"description":"The URL where the file can be downloaded from.","type":"string","title":"Url"},"file_size":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"The size of the file in bytes.","examples":[4404019],"title":"File Size"},"content_type":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The mime type of the file.","examples":["image/png"],"title":"Content Type"}},"title":"File"}}},"paths":{"/fal-ai/vidu/q1/image-to-video/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/vidu/q1/image-to-video/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/vidu/q1/image-to-video":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ViduQ1ImageToVideoInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/vidu/q1/image-to-video/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ViduQ1ImageToVideoOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/ovi/image-to-video","metadata":{"display_name":"Ovi","category":"image-to-video","description":"Ovi can generate videos with audio from image and text inputs.","status":"active","tags":["image-to-audio-video","image-to-video"],"updated_at":"2026-04-21T17:52:38.041Z","is_favorited":null,"thumbnail_url":"https://v3.fal.media/files/elephant/0C5YI172kcCI9lcCtXDJI_61f25dd2c735440aafb1a2ec647b6bd0.jpg","model_url":"https://fal.run/fal-ai/ovi/image-to-video","license_type":"commercial","date":"2025-10-03T14:39:19.458Z","group":{"key":"ovi","label":"Image to Video"},"highlighted":false,"kind":"inference","pinned":false},"retires_at":null,"replacement":null,"openapi":{"openapi":"3.1.0","info":{"title":"Queue OpenAPI for fal-ai/ovi/image-to-video","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/ovi/image-to-video queue.","x-fal-metadata":{"endpointId":"fal-ai/ovi/image-to-video","category":"image-to-video","thumbnailUrl":"https://v3.fal.media/files/elephant/0C5YI172kcCI9lcCtXDJI_61f25dd2c735440aafb1a2ec647b6bd0.jpg","playgroundUrl":"https://fal.ai/models/fal-ai/ovi/image-to-video","documentationUrl":"https://fal.ai/models/fal-ai/ovi/image-to-video/api","about":"Generate a video based on the provided request parameters."}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"OviImageToVideoInput":{"required":["prompt","image_url"],"type":"object","x-fal-order-properties":["prompt","negative_prompt","num_inference_steps","audio_negative_prompt","seed","enable_safety_checker","image_url"],"properties":{"image_url":{"description":"The image URL to guide video generation.","type":"string","title":"Image Url","examples":["https://storage.googleapis.com/falserverless/example_inputs/ovi_i2v_input.png"]},"prompt":{"description":"The text prompt to guide video generation.","type":"string","title":"Prompt","examples":["An intimate close-up of a European woman with long dark hair as she gently brushes her hair in a softly lit bedroom, her delicate hand moving in the foreground. She looks directly into the camera with calm, focused eyes, a faint serene smile glowing in the warm lamp light. She says, <S>[soft whisper] I am an artificial intelligence.<E>.<AUDCAP>Soft whispering female voice, ASMR tone with gentle breaths, cozy room acoustics, subtle emphasis on \"I am an artificial intelligence\".<ENDAUDCAP>"]},"audio_negative_prompt":{"default":"robotic, muffled, echo, distorted","description":"Negative prompt for audio generation.","type":"string","title":"Audio Negative Prompt"},"num_inference_steps":{"minimum":1,"default":30,"maximum":50,"type":"integer","title":"Num Inference Steps","description":"The number of inference steps."},"negative_prompt":{"default":"jitter, bad hands, blur, distortion","description":"Negative prompt for video generation.","type":"string","title":"Negative Prompt"},"enable_safety_checker":{"default":true,"description":"Authorized callers may set false to request relaxed screening.","type":"boolean","title":"Enable Safety Checker"},"seed":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"Random seed for reproducibility. If None, a random seed is chosen.","title":"Seed"}},"title":"OviI2VRequest"},"OviImageToVideoOutput":{"required":["seed"],"type":"object","x-fal-order-properties":["video","seed"],"properties":{"video":{"anyOf":[{"$ref":"#/components/schemas/File"},{"type":"null"}],"description":"The generated video file.","examples":[{"url":"https://storage.googleapis.com/falserverless/example_inputs/ovi_i2v_output.mp4"}]},"seed":{"description":"The seed used for generation.","type":"integer","title":"Seed"}},"title":"OviI2VResponse"},"File":{"required":["url"],"type":"object","x-fal-order-properties":["url","content_type","file_name","file_size"],"properties":{"file_name":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The name of the file. It will be auto-generated if not provided.","examples":["z9RV14K95DvU.png"],"title":"File Name"},"url":{"description":"The URL where the file can be downloaded from.","type":"string","title":"Url"},"file_size":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"The size of the file in bytes.","examples":[4404019],"title":"File Size"},"content_type":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The mime type of the file.","examples":["image/png"],"title":"Content Type"}},"title":"File"}}},"paths":{"/fal-ai/ovi/image-to-video/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/ovi/image-to-video/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/ovi/image-to-video":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OviImageToVideoInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/ovi/image-to-video/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OviImageToVideoOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/davinci-magihuman","metadata":{"display_name":"Davinci Magihuman","category":"image-to-video","description":"Expressive facial performance, natural speech-expression coordination, realistic body motion, and accurate audio-video synchronization with DaVinci-MagiHuman model","status":"active","tags":["animation","lip sync"],"updated_at":"2026-04-28T16:39:35.437Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/0a93a33a/pmKu_XIgnIr5iks3pT5-8_4843332a93674340ab52144e2d533c1e.jpg","model_url":"https://fal.run/fal-ai/davinci-magihuman","license_type":"commercial","date":"2026-03-25T22:25:33.378Z","highlighted":false,"kind":"inference","pinned":false},"retires_at":null,"replacement":null,"openapi":{"openapi":"3.1.0","info":{"title":"Queue OpenAPI for fal-ai/davinci-magihuman","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/davinci-magihuman queue.","x-fal-metadata":{"endpointId":"fal-ai/davinci-magihuman","category":"image-to-video","thumbnailUrl":"https://v3b.fal.media/files/b/0a93a33a/pmKu_XIgnIr5iks3pT5-8_4843332a93674340ab52144e2d533c1e.jpg","playgroundUrl":"https://fal.ai/models/fal-ai/davinci-magihuman","documentationUrl":"https://fal.ai/models/fal-ai/davinci-magihuman/api","about":"Generate"}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"DavinciMagihumanInput":{"properties":{"image_url":{"examples":["https://v3b.fal.media/files/b/0a93a275/W1Nnkr552fPfcTuE2UgKL_Zmt1dxWICl_oX5nbuMVLQ.jpeg"],"description":"URL of the reference image for image-to-video generation.","title":"Image Url","type":"string"},"guidance_scale":{"minimum":0,"default":5,"description":"Classifier-free guidance scale.","maximum":20,"title":"Guidance Scale","type":"number"},"prompt":{"minLength":1,"examples":["A woman is walking through a metro station and says, 'I love walking through this station, it always feels so alive.'"],"description":"Text prompt describing the desired video content.","title":"Prompt","type":"string"},"duration":{"minimum":1,"default":5,"description":"Duration of the generated video in seconds.","maximum":30,"title":"Duration","type":"integer"},"seed":{"description":"Random seed for reproducibility.","title":"Seed","anyOf":[{"type":"integer"},{"type":"null"}]},"enable_safety_checker":{"default":true,"description":"If enabled, runs safety checks on the prompt and input image.","title":"Enable Safety Checker","type":"boolean"},"audio_url":{"description":"Optional URL of the driving audio for lipsync mode. If omitted, audio is generated from the prompt.","title":"Audio Url","anyOf":[{"type":"string"},{"type":"null"}]},"num_inference_steps":{"description":"Number of denoising steps. Defaults to 8 for 256p and 32 for 540p/720p/1080p (base + SR).","title":"Num Inference Steps","anyOf":[{"maximum":50,"minimum":1,"type":"integer"},{"type":"null"}]},"resolution":{"default":"256p","enum":["256p","540p","720p","1080p"],"description":"Output resolution. '256p' uses the official base-model 448x256 path. '1080p' uses the official base + 1080p super-resolution pipeline. '540p' and '720p' reuse that sharper 1080p SR path and downsample to the requested output size.","title":"Resolution","type":"string"}},"x-fal-order-properties":["prompt","image_url","audio_url","duration","resolution","num_inference_steps","guidance_scale","seed","enable_safety_checker"],"required":["prompt","image_url"],"title":"DaVinciMagiHumanInput","type":"object"},"DavinciMagihumanOutput":{"properties":{"seed":{"description":"The seed used for generation.","title":"Seed","type":"integer"},"video":{"description":"The generated video with synchronized audio.","$ref":"#/components/schemas/File","default":{"url":"https://v3b.fal.media/files/b/0a93a27d/-iFpecUCsSdwXVMevsZa3_output_5s_448x256.mp4"}}},"x-fal-order-properties":["video","seed"],"required":["seed"],"title":"DaVinciMagiHumanOutput","type":"object"},"File":{"properties":{"url":{"description":"The URL where the file can be downloaded from.","title":"Url","type":"string"},"file_size":{"examples":[4404019],"description":"The size of the file in bytes.","anyOf":[{"type":"integer"},{"type":"null"}],"title":"File Size"},"content_type":{"examples":["image/png"],"description":"The mime type of the file.","anyOf":[{"type":"string"},{"type":"null"}],"title":"Content Type"},"file_name":{"examples":["z9RV14K95DvU.png"],"description":"The name of the file. It will be auto-generated if not provided.","anyOf":[{"type":"string"},{"type":"null"}],"title":"File Name"}},"x-fal-order-properties":["url","content_type","file_name","file_size"],"required":["url"],"title":"File","type":"object"}}},"paths":{"/fal-ai/davinci-magihuman/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/davinci-magihuman/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/davinci-magihuman":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DavinciMagihumanInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/davinci-magihuman/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DavinciMagihumanOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/vidu/template-to-video","metadata":{"display_name":"Vidu Template to Video","category":"image-to-video","description":"Vidu Template to Video lets you create different effects by applying motion templates to your images.","status":"active","tags":["motion","template"],"updated_at":"2026-04-27T03:35:06.506Z","is_favorited":null,"thumbnail_url":"https://storage.googleapis.com/falserverless/web-examples/vidu/vidu.webp","model_url":"https://fal.run/fal-ai/vidu/template-to-video","date":"2025-03-12T00:00:00.000Z","group":{"key":"vidu","label":"Template-to-Video"},"highlighted":false,"pinned":false},"retires_at":null,"replacement":null,"openapi":{"openapi":"3.1.0","info":{"title":"Queue OpenAPI for fal-ai/vidu/template-to-video","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/vidu/template-to-video queue.","x-fal-metadata":{"endpointId":"fal-ai/vidu/template-to-video","category":"image-to-video","thumbnailUrl":"https://storage.googleapis.com/falserverless/web-examples/vidu/vidu.webp","playgroundUrl":"https://fal.ai/models/fal-ai/vidu/template-to-video","documentationUrl":"https://fal.ai/models/fal-ai/vidu/template-to-video/api","about":"Vidu Template to Video API: Generate a video using predefined templates."}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"ViduTemplateToVideoInput":{"required":["input_image_urls"],"type":"object","x-fal-order-properties":["enable_safety_checker","template","input_image_urls","seed","aspect_ratio"],"properties":{"seed":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"Random seed for generation","title":"Seed"},"aspect_ratio":{"enum":["16:9","9:16"],"default":"16:9","description":"The aspect ratio of the output video","type":"string","title":"Aspect Ratio"},"input_image_urls":{"description":"URLs of the images to use with the template. Number of images required varies by template: 'dynasty_dress' and 'shop_frame' accept 1-2 images, 'wish_sender' requires exactly 3 images, all other templates accept only 1 image.","type":"array","title":"Input Image Urls","items":{"type":"string"},"examples":[["https://storage.googleapis.com/falserverless/web-examples/vidu/hug.PNG"]]},"enable_safety_checker":{"anyOf":[{"type":"boolean"},{"type":"null"}],"default":true,"description":"Enable safety checks; disabling requires authorization.","title":"Enable Safety Checker","hidden":true},"template":{"enum":["dreamy_wedding","romantic_lift","sweet_proposal","couple_arrival","cupid_arrow","pet_lovers","lunar_newyear","hug","kiss","dynasty_dress","wish_sender","love_pose","hair_swap","youth_rewind","morphlab","live_photo","emotionlab","live_memory","interaction","christmas","pet_finger","eat_mushrooms","beast_chase_library","beast_chase_supermarket","petal_scattered","emoji_figure","hair_color_change","multiple_people_kissing","beast_chase_amazon","beast_chase_mountain","balloonman_explodes_pro","get_thinner","jump2pool","bodyshake","jiggle_up","shake_it_dance","subject_3","pubg_winner_hit","shake_it_down","blueprint_supreme","hip_twist","motor_dance","rat_dance","kwok_dance","leg_sweep_dance","heeseung_march","shake_to_max","dame_un_grrr","i_know","lit_bounce","wave_dance","chill_dance","hip_flicking","sakura_season","zongzi_wrap","zongzi_drop","dragonboat_shot","rain_kiss","child_memory","couple_drop","couple_walk","flower_receive","love_drop","cheek_kiss","carry_me","blow_kiss","love_fall","french_kiss_8s","workday_feels","love_story","bloom_magic","ghibli","minecraft","box_me","claw_me","clayshot","manga_meme","quad_meme","pixel_me","clayshot_duo","irasutoya","american_comic","simpsons_comic","yayoi_kusama_style","pop_art","jojo_style","slice_therapy","balloon_flyaway","flying","paperman","pinch","bloom_doorobear","gender_swap","nap_me","sexy_me","spin360","smooth_shift","paper_fall","jump_to_cloud","pilot","sweet_dreams","soul_depart","punch_hit","watermelon_hit","split_stance_pet","make_face","break_glass","split_stance_human","covered_liquid_metal","fluffy_plunge","pet_belly_dance","water_float","relax_cut","head_to_balloon","cloning","across_the_universe_jungle","clothes_spinning_remnant","across_the_universe_jurassic","across_the_universe_moon","fisheye_pet","hitchcock_zoom","cute_bangs","earth_zoom_out","fisheye_human","drive_yacht","virtual_singer","earth_zoom_in","aliens_coming","drive_ferrari","bjd_style","virtual_fitting","orbit","zoom_in","ai_outfit","spin180","orbit_dolly","orbit_dolly_fast","auto_spin","walk_forward","outfit_show","zoom_in_fast","zoom_out_image","zoom_out_startend","muscling","captain_america","hulk","cap_walk","hulk_dive","exotic_princess","beast_companion","cartoon_doll","golden_epoch","oscar_gala","fashion_stride","star_carpet","flame_carpet","frost_carpet","mecha_x","style_me","tap_me","saber_warrior","pet2human","graduation","fishermen","happy_birthday","fairy_me","ladudu_me","ladudu_me_random","squid_game","superman","grow_wings","clevage","fly_with_doraemon","creatice_product_down","pole_dance","hug_from_behind","creatice_product_up_cybercity","creatice_product_up_bluecircuit","creatice_product_up","run_fast","background_explosion"],"default":"hug","description":"AI video template to use. Pricing varies by template: Standard templates (hug, kiss, love_pose, etc.) cost 4 credits ($0.20), Premium templates (lunar_newyear, dynasty_dress, dreamy_wedding, etc.) cost 6 credits ($0.30), and Advanced templates (live_photo) cost 10 credits ($0.50).","type":"string","title":"Template"}},"title":"TemplateToVideoRequest"},"ViduTemplateToVideoOutput":{"required":["video"],"type":"object","x-fal-order-properties":["video"],"properties":{"video":{"$ref":"#/components/schemas/File","examples":[{"url":"https://storage.googleapis.com/falserverless/web-examples/vidu/hugging.mp4"}],"description":"The generated video using a predefined template"}},"title":"TemplateToVideoOutput"},"File":{"required":["url"],"type":"object","x-fal-order-properties":["url","content_type","file_name","file_size"],"properties":{"file_name":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The name of the file. It will be auto-generated if not provided.","examples":["z9RV14K95DvU.png"],"title":"File Name"},"url":{"description":"The URL where the file can be downloaded from.","type":"string","title":"Url"},"file_size":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"The size of the file in bytes.","examples":[4404019],"title":"File Size"},"content_type":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The mime type of the file.","examples":["image/png"],"title":"Content Type"}},"title":"File"}}},"paths":{"/fal-ai/vidu/template-to-video/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/vidu/template-to-video/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/vidu/template-to-video":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ViduTemplateToVideoInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/vidu/template-to-video/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ViduTemplateToVideoOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/pixverse/v4.5/effects","metadata":{"display_name":"PixVerse V4.5 Effects","category":"image-to-video","description":"Generate high quality video clips with different effects using PixVerse v4.5","status":"active","tags":["image-to-video"],"updated_at":"2026-10-20T22:12:52.189Z","is_favorited":null,"thumbnail_url":"https://storage.googleapis.com/falserverless/gallery/pixverse-v3.5.webp","model_url":"https://fal.run/fal-ai/pixverse/v4.5/effects","license_type":"commercial","date":"2025-05-15T15:44:19.595Z","group":{"key":"pixverse-45","label":"Effects v4.5"},"highlighted":false,"kind":"inference","duration_estimate":1,"pinned":false},"retires_at":null,"replacement":null,"openapi":{"openapi":"3.1.0","info":{"title":"Queue OpenAPI for fal-ai/pixverse/v4.5/effects","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/pixverse/v4.5/effects queue.","x-fal-metadata":{"endpointId":"fal-ai/pixverse/v4.5/effects","category":"image-to-video","thumbnailUrl":"https://storage.googleapis.com/falserverless/gallery/pixverse-v3.5.webp","playgroundUrl":"https://fal.ai/models/fal-ai/pixverse/v4.5/effects","documentationUrl":"https://fal.ai/models/fal-ai/pixverse/v4.5/effects/api","about":"Create Effect Video V4 5"}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"PixverseV45EffectsInput":{"x-fal-order-properties":["effect","image_url","resolution","duration","negative_prompt","enable_safety_checker"],"properties":{"duration":{"default":"5","description":"The duration of the generated video in seconds","type":"string","title":"Duration","enum":["5","8"]},"negative_prompt":{"default":"","type":"string","title":"Negative Prompt","description":"Negative prompt to be used for the generation. Limited to 2048 UTF-8 encoded bytes. Because the limit counts bytes rather than characters, emoji and non-Latin or accented characters (which use multiple bytes each) can push a visually short prompt over the cap."},"enable_safety_checker":{"default":true,"type":"boolean","title":"Enable Safety Checker","description":"Authorized callers may set false to request relaxed screening."},"effect":{"description":"The effect to apply to the video","type":"string","title":"Effect","enum":["Kiss Me AI","Kiss","Muscle Surge","Warmth of Jesus","Anything, Robot","The Tiger Touch","Hug","Holy Wings","Microwave","Zombie Mode","Squid Game","Baby Face","Black Myth: Wukong","Long Hair Magic","Leggy Run","Fin-tastic Mermaid","Punch Face","Creepy Devil Smile","Thunder God","Eye Zoom Challenge","Who's Arrested?","Baby Arrived","Werewolf Rage","Bald Swipe","BOOM DROP","Huge Cutie","Liquid Metal","Sharksnap!","Dust Me Away","3D Figurine Factor","Bikini Up","My Girlfriends","My Boyfriends","Subject 3 Fever","Earth Zoom","Pole Dance","Vroom Dance","GhostFace Terror","Dragon Evoker","Skeletal Bae","Summoning succubus","Halloween Voodoo Doll","3D Naked-Eye AD","Package Explosion","Dishes Served","Ocean ad","Supermarket AD","Tree doll","Come Feel My Abs","The Bicep Flex","London Elite Vibe","Flora Nymph Gown","Christmas Costume","It's Snowy","Reindeer Cruiser","Snow Globe Maker","Pet Christmas Outfit","Adopt a Polar Pal","Cat Christmas Box","Starlight Gift Box","Xmas Poster","Pet Christmas Tree","City Santa Hat","Stocking Sweetie","Christmas Night","Xmas Front Page Karma","Grinch's Xmas Hijack","Giant Product","Truck Fashion Shoot","Beach AD","Shoal Surround","Mechanical Assembly","Lighting AD","Billboard AD","Product close-up","Parachute Delivery","Dreamlike Cloud","Macaron Machine","Poster AD","Truck AD","Graffiti AD","3D Figurine Factory","The Exclusive First Class","Art Zoom Challenge","I Quit","Hitchcock Dolly Zoom","Smell the Lens","I believe I can fly","Strikout Dance","Courtside Cam","Pit Crew Moment","K-Baseball Sprint","Toddler Doodle","Idol Ending","Apex Dance","OmniHero Forge","Palm Decode","The Age Ripple","My Future Is Limitless","Knee Slide","Epic Goal Save","Sideline Ball Boy","Cup Celebration","Victory Roar","Vuvuzela Fan","World Champion Lift","Tunnel to Captain","Liquid Soccer Morph","Jump Into Crowd 2","Golden Pitch Crasher","Stadium Fan Cam","Broadcast Moto GP","The Grotesque Clay","Rookie Star Card","The Final Hug","Sharp Post-Match Comment","Street Maverick","Pitch Legend","One Step At A Time","Birthday Mirror","Superstar Lobby","Final Battle Room","Top of the World","Mini Me Unboxed","WonderPOP Surprise","White Chicks","Kiss me","What a Day","The Last Leap at Sunset","Tiny Sticker Chef Chaos","Mini Squeeze Toy","Tearful Gunman","Street Fashion Caricature","Mini Me Makeover","Street Art Awakening","Hug Together","ACAI dance Duet","PUBG Winner Hit!","Blocky Mini-Me","Cheat Day Busted","MiniSocial Recharge","My Little Perler Charm","Where did this cobweb come from?","Holy Beast Summoning Technique","IT'S THE FIRST OF THE MONTH","Pet Editorial","Three lifetime bond","Pixel World","Mint in Box","Hands up, Hand","Flora Nymph Go","Somber Embrace","Beam me up","Suit Swagger"]},"resolution":{"default":"720p","description":"The resolution of the generated video.","type":"string","title":"Resolution","enum":["360p","540p","720p","1080p"]},"image_url":{"examples":["https://v3.fal.media/files/koala/q5ahL3KS7ikt3MvpNUG8l_image%20(72).webp"],"type":"string","title":"Image Url","description":"Optional URL of the image to use as the first frame. If not provided, generates from text"}},"required":["effect","image_url"],"title":"EffectInput","type":"object"},"PixverseV45EffectsOutput":{"x-fal-order-properties":["video"],"properties":{"video":{"examples":[{"content_type":"video/mp4","file_name":"output.mp4","file_size":3232402,"url":"https://fal.media/files/koala/awGY1lJd7lVsqQeSqjWqn_output.mp4"}],"$ref":"#/components/schemas/File","description":"The generated video"}},"required":["video"],"title":"EffectOutput","type":"object"},"File":{"x-fal-order-properties":["url","content_type","file_name","file_size"],"properties":{"content_type":{"examples":["image/png"],"title":"Content Type","anyOf":[{"type":"string"},{"type":"null"}],"description":"The mime type of the file."},"url":{"type":"string","title":"Url","description":"The URL where the file can be downloaded from."},"file_size":{"examples":[4404019],"title":"File Size","anyOf":[{"type":"integer"},{"type":"null"}],"description":"The size of the file in bytes."},"file_name":{"examples":["z9RV14K95DvU.png"],"title":"File Name","anyOf":[{"type":"string"},{"type":"null"}],"description":"The name of the file. It will be auto-generated if not provided."}},"required":["url"],"title":"File","type":"object"}}},"paths":{"/fal-ai/pixverse/v4.5/effects/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/pixverse/v4.5/effects/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/pixverse/v4.5/effects":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PixverseV45EffectsInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/pixverse/v4.5/effects/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PixverseV45EffectsOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/pixverse/v5/effects","metadata":{"display_name":"PixVerse V5 Effects","category":"image-to-video","description":"Generate high quality video clips with different effects using PixVerse v5","status":"active","tags":["image-to-video"],"updated_at":"2026-10-20T22:13:52.623Z","is_favorited":null,"thumbnail_url":"https://storage.googleapis.com/falserverless/gallery/pixverse-v3.5.webp","model_url":"https://fal.run/fal-ai/pixverse/v5/effects","license_type":"commercial","date":"2025-08-23T10:55:07.548Z","highlighted":false,"kind":"inference","pinned":false},"retires_at":null,"replacement":null,"openapi":{"openapi":"3.1.0","info":{"title":"Queue OpenAPI for fal-ai/pixverse/v5/effects","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/pixverse/v5/effects queue.","x-fal-metadata":{"endpointId":"fal-ai/pixverse/v5/effects","category":"image-to-video","thumbnailUrl":"https://storage.googleapis.com/falserverless/gallery/pixverse-v3.5.webp","playgroundUrl":"https://fal.ai/models/fal-ai/pixverse/v5/effects","documentationUrl":"https://fal.ai/models/fal-ai/pixverse/v5/effects/api","about":"Create Effect Video V5"}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"PixverseV5EffectsInput":{"x-fal-order-properties":["effect","image_url","resolution","duration","negative_prompt","enable_safety_checker"],"properties":{"duration":{"default":"5","description":"The duration of the generated video in seconds","type":"string","title":"Duration","enum":["5","8"]},"negative_prompt":{"default":"","type":"string","title":"Negative Prompt","description":"Negative prompt to be used for the generation. Limited to 2048 UTF-8 encoded bytes. Because the limit counts bytes rather than characters, emoji and non-Latin or accented characters (which use multiple bytes each) can push a visually short prompt over the cap."},"enable_safety_checker":{"default":true,"type":"boolean","title":"Enable Safety Checker","description":"Authorized callers may set false to request relaxed screening."},"effect":{"description":"The effect to apply to the video","type":"string","title":"Effect","enum":["Kiss Me AI","Kiss","Muscle Surge","Warmth of Jesus","Anything, Robot","The Tiger Touch","Hug","Holy Wings","Microwave","Zombie Mode","Squid Game","Baby Face","Black Myth: Wukong","Long Hair Magic","Leggy Run","Fin-tastic Mermaid","Punch Face","Creepy Devil Smile","Thunder God","Eye Zoom Challenge","Who's Arrested?","Baby Arrived","Werewolf Rage","Bald Swipe","BOOM DROP","Huge Cutie","Liquid Metal","Sharksnap!","Dust Me Away","3D Figurine Factor","Bikini Up","My Girlfriends","My Boyfriends","Subject 3 Fever","Earth Zoom","Pole Dance","Vroom Dance","GhostFace Terror","Dragon Evoker","Skeletal Bae","Summoning succubus","Halloween Voodoo Doll","3D Naked-Eye AD","Package Explosion","Dishes Served","Ocean ad","Supermarket AD","Tree doll","Come Feel My Abs","The Bicep Flex","London Elite Vibe","Flora Nymph Gown","Christmas Costume","It's Snowy","Reindeer Cruiser","Snow Globe Maker","Pet Christmas Outfit","Adopt a Polar Pal","Cat Christmas Box","Starlight Gift Box","Xmas Poster","Pet Christmas Tree","City Santa Hat","Stocking Sweetie","Christmas Night","Xmas Front Page Karma","Grinch's Xmas Hijack","Giant Product","Truck Fashion Shoot","Beach AD","Shoal Surround","Mechanical Assembly","Lighting AD","Billboard AD","Product close-up","Parachute Delivery","Dreamlike Cloud","Macaron Machine","Poster AD","Truck AD","Graffiti AD","3D Figurine Factory","The Exclusive First Class","Art Zoom Challenge","I Quit","Hitchcock Dolly Zoom","Smell the Lens","I believe I can fly","Strikout Dance","Courtside Cam","Pit Crew Moment","K-Baseball Sprint","Toddler Doodle","Idol Ending","Apex Dance","OmniHero Forge","Palm Decode","The Age Ripple","My Future Is Limitless","Knee Slide","Epic Goal Save","Sideline Ball Boy","Cup Celebration","Victory Roar","Vuvuzela Fan","World Champion Lift","Tunnel to Captain","Liquid Soccer Morph","Jump Into Crowd 2","Golden Pitch Crasher","Stadium Fan Cam","Broadcast Moto GP","The Grotesque Clay","Rookie Star Card","The Final Hug","Sharp Post-Match Comment","Street Maverick","Pitch Legend","One Step At A Time","Birthday Mirror","Superstar Lobby","Final Battle Room","Top of the World","Mini Me Unboxed","WonderPOP Surprise","White Chicks","Kiss me","What a Day","The Last Leap at Sunset","Tiny Sticker Chef Chaos","Mini Squeeze Toy","Tearful Gunman","Street Fashion Caricature","Mini Me Makeover","Street Art Awakening","Hug Together","ACAI dance Duet","PUBG Winner Hit!","Blocky Mini-Me","Cheat Day Busted","MiniSocial Recharge","My Little Perler Charm","Where did this cobweb come from?","Holy Beast Summoning Technique","IT'S THE FIRST OF THE MONTH","Pet Editorial","Three lifetime bond","Pixel World","Mint in Box","Hands up, Hand","Flora Nymph Go","Somber Embrace","Beam me up","Suit Swagger"]},"resolution":{"default":"720p","description":"The resolution of the generated video.","type":"string","title":"Resolution","enum":["360p","540p","720p","1080p"]},"image_url":{"examples":["https://v3.fal.media/files/koala/q5ahL3KS7ikt3MvpNUG8l_image%20(72).webp"],"type":"string","title":"Image Url","description":"Optional URL of the image to use as the first frame. If not provided, generates from text"}},"required":["effect","image_url"],"title":"EffectInput","type":"object"},"PixverseV5EffectsOutput":{"x-fal-order-properties":["video"],"properties":{"video":{"examples":[{"content_type":"video/mp4","file_name":"output.mp4","file_size":3232402,"url":"https://fal.media/files/koala/awGY1lJd7lVsqQeSqjWqn_output.mp4"}],"$ref":"#/components/schemas/File","description":"The generated video"}},"required":["video"],"title":"EffectOutput","type":"object"},"File":{"x-fal-order-properties":["url","content_type","file_name","file_size"],"properties":{"content_type":{"examples":["image/png"],"title":"Content Type","anyOf":[{"type":"string"},{"type":"null"}],"description":"The mime type of the file."},"url":{"type":"string","title":"Url","description":"The URL where the file can be downloaded from."},"file_size":{"examples":[4404019],"title":"File Size","anyOf":[{"type":"integer"},{"type":"null"}],"description":"The size of the file in bytes."},"file_name":{"examples":["z9RV14K95DvU.png"],"title":"File Name","anyOf":[{"type":"string"},{"type":"null"}],"description":"The name of the file. It will be auto-generated if not provided."}},"required":["url"],"title":"File","type":"object"}}},"paths":{"/fal-ai/pixverse/v5/effects/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/pixverse/v5/effects/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/pixverse/v5/effects":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PixverseV5EffectsInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/pixverse/v5/effects/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PixverseV5EffectsOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/kandinsky6-lite/image-to-video","metadata":{"display_name":"Kandinsky 6.0 Lite","category":"image-to-video","description":"Kandinsky 6.0 Lite animates a single image into a short video clip, with fast, lightweight inference and prompt-guided motion.","status":"active","tags":["image-to-video","kandinsky","lightweight"],"updated_at":"2026-10-26T09:17:24.829Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/0aad2911/goVXKMn3c-B2VrICV43Ls.jpg","model_url":"https://fal.run/fal-ai/kandinsky6-lite/image-to-video","license_type":"commercial","date":"2026-10-05T12:41:40.018Z","group":{"key":"kandinsky6-lite","label":"Image to Video"},"highlighted":false,"kind":"inference","pinned":false},"retires_at":null,"replacement":null,"openapi":{"openapi":"3.1.0","info":{"title":"Queue OpenAPI for fal-ai/kandinsky6-lite/image-to-video","version":"1.0.0","description":"Kandinsky 6.0 Lite brings still images to life. From a start frame and a motion prompt, it generates a consistent clip that preserves the source composition and identity. It is optimized for speed and cost, which makes it a strong fit for animating product shots, illustrations, and social content at scale.","x-fal-metadata":{"endpointId":"fal-ai/kandinsky6-lite/image-to-video","category":"image-to-video","thumbnailUrl":"https://v3b.fal.media/files/b/0aad2911/goVXKMn3c-B2VrICV43Ls.jpg","playgroundUrl":"https://fal.ai/models/fal-ai/kandinsky6-lite/image-to-video","documentationUrl":"https://fal.ai/models/fal-ai/kandinsky6-lite/image-to-video/api","about":"Image To Video"}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"Kandinsky6LiteImageToVideoInput":{"x-fal-order-properties":["prompt","image_url","aspect_ratio","generate_audio","enable_prompt_expansion","upscale_factor","seed","sync_mode","num_inference_steps","enable_safety_checker"],"type":"object","title":"Kandinsky6LiteImageToVideoInput","properties":{"image_url":{"type":"string","description":"The image used as the first frame of the video.","examples":["https://storage.googleapis.com/falserverless/example_inputs/ltxv-2-i2v-input.jpg"],"title":"Image Url"},"enable_prompt_expansion":{"type":"boolean","description":"Whether to rewrite the prompt into a detailed video+audio description with the model's own Qwen2.5-VL text encoder before generating.","title":"Enable Prompt Expansion","default":false},"seed":{"description":"The random seed used for the generation process.","anyOf":[{"type":"integer"},{"type":"null"}],"title":"Seed"},"sync_mode":{"type":"boolean","description":"If `True`, the media will be returned as a data URI and the output data won't be available in the request history.","title":"Sync Mode","default":false},"aspect_ratio":{"description":"The aspect ratio of the generated video. `auto` picks the supported ratio closest to the image's; the image is center-cropped to it.","anyOf":[{"enum":["16:9","9:16","1:1","4:3","3:4"],"type":"string"},{"type":"string","const":"auto"}],"title":"Aspect Ratio","default":"auto"},"upscale_factor":{"enum":[2,2.25,4,null],"description":"If set, upscale the generated video by this factor with Kandinsky 6 video super-resolution. One of 2, 2.25 or 4; 2.25 turns the 480p output into 1080p.","anyOf":[{"type":"number"},{"type":"null"}],"title":"Upscale Factor"},"generate_audio":{"type":"boolean","description":"Whether to generate a synchronized audio track.","title":"Generate Audio","default":true},"enable_safety_checker":{"type":"boolean","description":"Authorized callers may set false to request relaxed screening.","title":"Enable Safety Checker","default":true},"num_inference_steps":{"type":"integer","description":"The number of denoising steps. Lite is tuned for 10.","minimum":4,"title":"Num Inference Steps","maximum":16,"default":10},"prompt":{"type":"string","description":"The text prompt describing the video and its sound.","examples":["A cat and a dog baking a cake together in a kitchen. The cat whisks batter while the dog sniffs the flour; a kitchen timer ticks and a mixer hums in the background."],"title":"Prompt"}},"required":["prompt","image_url"]},"Kandinsky6LiteImageToVideoOutput":{"x-fal-order-properties":["video","seed"],"type":"object","title":"Kandinsky6ProOutput","properties":{"seed":{"type":"integer","description":"The random seed used for the generation process.","title":"Seed"},"video":{"$ref":"#/components/schemas/File","description":"The generated video, with its audio track when requested."}},"required":["video","seed"]},"File":{"x-fal-order-properties":["url","content_type","file_name","file_size"],"type":"object","title":"File","properties":{"file_name":{"description":"The name of the file. It will be auto-generated if not provided.","examples":["z9RV14K95DvU.png"],"anyOf":[{"type":"string"},{"type":"null"}],"title":"File Name"},"content_type":{"description":"The mime type of the file.","examples":["image/png"],"anyOf":[{"type":"string"},{"type":"null"}],"title":"Content Type"},"url":{"type":"string","description":"The URL where the file can be downloaded from.","title":"Url"},"file_size":{"description":"The size of the file in bytes.","examples":[4404019],"anyOf":[{"type":"integer"},{"type":"null"}],"title":"File Size"}},"required":["url"]}}},"paths":{"/fal-ai/kandinsky6-lite/image-to-video/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/kandinsky6-lite/image-to-video/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/kandinsky6-lite/image-to-video":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Kandinsky6LiteImageToVideoInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/kandinsky6-lite/image-to-video/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Kandinsky6LiteImageToVideoOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/vidu/q2/reference-to-video/pro","metadata":{"display_name":"Vidu","category":"image-to-video","description":"Use the latest Vidu Q2 Pro models which much more better quality and control on your videos.","status":"active","tags":[],"updated_at":"2026-10-20T22:37:10.713Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/0a8b0dde/etLT9wcPxiw9gdfI1asZ2_4d84e99d288340748ed4af813552e8f1.jpg","model_url":"https://fal.run/fal-ai/vidu/q2/reference-to-video/pro","license_type":"commercial","date":"2026-01-19T19:49:20.023Z","highlighted":false,"kind":"inference","pinned":false},"retires_at":null,"replacement":null,"openapi":{"openapi":"3.1.0","info":{"title":"Queue OpenAPI for fal-ai/vidu/q2/reference-to-video/pro","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/vidu/q2/reference-to-video/pro queue.","x-fal-metadata":{"endpointId":"fal-ai/vidu/q2/reference-to-video/pro","category":"image-to-video","thumbnailUrl":"https://v3b.fal.media/files/b/0a8b0dde/etLT9wcPxiw9gdfI1asZ2_4d84e99d288340748ed4af813552e8f1.jpg","playgroundUrl":"https://fal.ai/models/fal-ai/vidu/q2/reference-to-video/pro","documentationUrl":"https://fal.ai/models/fal-ai/vidu/q2/reference-to-video/pro/api","about":"Vidu Q2 Pro Reference to Video API: Generate or edit video with image/video references."}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"ViduQ2ReferenceToVideoProInput":{"required":["prompt"],"type":"object","x-fal-order-properties":["enable_safety_checker","prompt","reference_image_urls","reference_video_urls","seed","duration","resolution","aspect_ratio","movement_amplitude","bgm"],"properties":{"reference_image_urls":{"description":"URLs of the reference images for subject appearance. If videos are provided, up to 4 images are allowed; otherwise up to 7 images.","type":"array","title":"Reference Image Urls","items":{"type":"string"},"examples":[["https://storage.googleapis.com/falserverless/model_tests/video_models/vidu-image-3123041388101890.png"]]},"bgm":{"default":false,"description":"Whether to add background music to the generated video","type":"boolean","title":"Bgm"},"aspect_ratio":{"default":"16:9","description":"Aspect ratio of the output video (e.g., auto, 16:9, 9:16, 1:1, or any W:H)","type":"string","title":"Aspect Ratio"},"resolution":{"enum":["540p","720p","1080p"],"default":"720p","description":"Output video resolution","type":"string","title":"Resolution"},"enable_safety_checker":{"anyOf":[{"type":"boolean"},{"type":"null"}],"default":true,"description":"Enable safety checks; disabling requires authorization.","title":"Enable Safety Checker","hidden":true},"movement_amplitude":{"enum":["auto","small","medium","large"],"default":"auto","description":"The movement amplitude of objects in the frame","type":"string","title":"Movement Amplitude"},"prompt":{"examples":["@Figure 1 Character Reference@Refer to the special effects, movements, and camera work of Video 1."],"type":"string","maxLength":2000,"description":"Text prompt for video generation, max 2000 characters","title":"Prompt"},"reference_video_urls":{"description":"URLs of the reference videos for video editing or motion reference. Supports up to 2 videos.","type":"array","title":"Reference Video Urls","items":{"type":"string"},"examples":[["https://storage.googleapis.com/falserverless/model_tests/video_models/vidu-video-3123002003131623.mp4"]]},"duration":{"minimum":1,"default":4,"description":"Duration of the video in seconds (0 for automatic duration)","type":"integer","title":"Duration","maximum":8},"seed":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"Random seed for reproducibility. If None, a random seed is chosen.","title":"Seed"}},"title":"Q2ProReferenceToVideoRequest"},"ViduQ2ReferenceToVideoProOutput":{"required":["video"],"type":"object","x-fal-order-properties":["video"],"properties":{"video":{"$ref":"#/components/schemas/File","examples":[{"url":"https://v3b.fal.media/files/b/0a8aa38a/_nfU-t1qY1HEVcDqct-M__output.mp4"}],"description":"The generated video with video/image references using the Q2 Pro model"}},"title":"Q2ProReferenceToVideoOutput"},"File":{"required":["url"],"type":"object","x-fal-order-properties":["url","content_type","file_name","file_size"],"properties":{"file_name":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The name of the file. It will be auto-generated if not provided.","examples":["z9RV14K95DvU.png"],"title":"File Name"},"url":{"description":"The URL where the file can be downloaded from.","type":"string","title":"Url"},"file_size":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"The size of the file in bytes.","examples":[4404019],"title":"File Size"},"content_type":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The mime type of the file.","examples":["image/png"],"title":"Content Type"}},"title":"File"}}},"paths":{"/fal-ai/vidu/q2/reference-to-video/pro/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/vidu/q2/reference-to-video/pro/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/vidu/q2/reference-to-video/pro":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ViduQ2ReferenceToVideoProInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/vidu/q2/reference-to-video/pro/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ViduQ2ReferenceToVideoProOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}}],"next_cursor":"MTU","has_more":true}
